Bug 21748 - portmap exits on SIGPIPE
Summary: portmap exits on SIGPIPE
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: portmap   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-05 15:56 UTC by jeff.parrott
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-31 01:12:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jeff.parrott 2000-12-05 15:56:57 UTC
I have seen portmap exit on SIGPIPE. This signal is not handled by 
portmap. I have seen this when giving xterminal connections rigourous 
treatment of reboot/power-off/reboot (NFS boot load)/connect, etc. Testing 
has been done with HP and Tektronic xterminals and Reflection-X. I have 
not tracked down the actual reason for the SIGPIPE, but I have determined 
that handling SIGPIPE will solve the problem and keep portmap from exiting.

Comment 1 Trond Eivind Glomsrxd 2001-01-31 01:12:33 UTC
I'll have a look at it.

Comment 2 Trond Eivind Glomsrxd 2001-02-11 23:57:18 UTC
Fixed in portmap-4.0-34, coming soon to a Rawhide mirror near you.


Note You need to log in before you can comment on or make changes to this bug.